Subject: bug#37575: 27.0.50; Segfault on redisplay

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Oct 2019 21:44:58 +0300

> From: Richard Copley <[email-masked]>
> Date: Thu, 3 Oct 2019 19:04:49 +0100
> 
> Again, the crash is before the chkstk in the backtrace, not after it.

It's both before and after, AFAICT.  Normally, when Emacs crashes due
to SIGSEGV, there's no chkstk on the callstack, not AFAIR.

As for longjmp: if another thread, whose stack was not shown, throws
to top-level (e.g., if it somehow calls Fsignal and its ilk), it will
longjmp to the wrong stack.  That's the situation I had in mind.

Anyway, I don't really understand where this discussion goes.  It is
purely academic, because all the evidence was unfortunately lost.  If
you want me to say I might be wrong with my guesses, here I am saying
that.